<script setup lang="ts">
import { RouterLink, RouterView, onBeforeRouteUpdate } from 'vue-router'
import { useAuthStore } from './stores/auth'
import NavigationDrawer from '@/components/NavigationDrawer.vue'
import AppBarLogin from '@/components/AppBarLogin.vue'

const authStore = useAuthStore()

onBeforeRouteUpdate(() => {
  authStore.appBarLogin = false
  authStore.appBarUnlogin = false
})
</script>

<template>
  <v-layout class="rounded rounded-md">
    <AppBarLogin></AppBarLogin>

    <NavigationDrawer></NavigationDrawer>

    <v-main style="min-height: 400px">
      <div><RouterView></RouterView></div>
    </v-main>
  </v-layout>
</template>

<style scoped></style>
